%global srcver 1.0.7
%global docver 1.0-6
%global momorel 7

Summary: The Bluefish HTML Editor
Name: bluefish
Version: %{srcver}
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Editors
Source0: http://www.bennewitz.com/%{name}/stable/source/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: http://www.bennewitz.com/%{name}/stable/docs/%{name}-doc-html-chunked-%{docver}.tar.bz2
NoSource: 1
Patch0: bluefish-1.0.7-desktop.patch
URL: http://bluefish.openoffice.nl/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: gtk+-devel >= 2.0
BuildPrereq: aspell-devel >= 0.50
BuildPrereq: pcre-devel >= 3.0
PreReq: desktop-file-utils, shared-mime-info

%description
bluefish is a GTK HTML editor for the experienced web designer. It is
currently in alpha stage, it is very usable but some features are not
yet completely finished. Bluefish is released under the GPL licence. 

%prep
%setup -q -a 1
%patch0 -p1

%build
%configure --with-internal-preview --with-attrpage --disable-update-databases
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/application-registry
mkdir -p %{buildroot}%{_datadir}/mime-info
mkdir -p %{buildroot}%{_datadir}/bluefish

make DESTDIR=%{buildroot} install 
install data/bluefish.desktop %{buildroot}%{_datadir}/applications/bluefish.desktop
chmod 644 %{buildroot}%{_datadir}/applications/bluefish.desktop
cp -a %{name}-doc-html-chunked-%{docver} manual

# remove
rm -f %{buildroot}%{_datadir}/gnome/apps/Applications/bluefish.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/usr/bin/update-desktop-database
/usr/bin/update-mime-database /usr/share/mime

%postun
/usr/bin/update-desktop-database
/usr/bin/update-mime-database /usr/share/mime

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README TODO manual
%{_bindir}/bluefish
%{_datadir}/bluefish
%{_datadir}/mime/packages/bluefish.xml
%{_datadir}/mime-info/bluefish.*
%{_datadir}/applications/*.desktop
%{_datadir}/application-registry/bluefish.applications
%{_datadir}/pixmaps/bluefish-icon.png
%{_datadir}/pixmaps/gnome-mime-application-bluefish-project.png
%{_mandir}/man1/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.7-7m)
- rebuild against rpm-4.6

* Fri Jan  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.7-6m)
- update Patch0 for fuzz=0
- License: GPLv2+

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.7-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.7-4m)
- %%NoSource -> NoSource

* Tue Jul 10 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.7-3m)
- fix bluefish.desktop permission

* Fri May 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.7-2m)
- unhold /usr/share/mime-info

* Thu Jan  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.7-1m)
- update to 1.0.7 (doc is still version 1.0-6)

* Thu Nov  9 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.6-2m)
- update doc to 1.0-6

* Sat Sep 30 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.6-1m)
- update to 1.0.6

* Thu May 25 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.0.5-1m)
- update to 1.0.5 and update doc version to 1.0-4
- change source URI to master site

* Fri Dec 23 2005 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.0.4-1m)
- update to 1.0.4
- modify patch0 (bluefish_desktop patch)

* Thu Mar 24 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-1m)
- up to 1.0

* Wed Aug  4 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (0.13-2m)
- add bluefish-0.13-bluefish_desktop.patch to fix icon path.

* Fri May 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.13-1m)
- verup

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.11-2m)
- revised spec for enabling rpm 4.2.

* Sun Aug 3 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.11-1m)
- update to 0.11
- use momorel macro

* Thu Jul 24 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9-4m)
- add BuildPrereq: pcre-devel

* Sat May  3 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9-3m)
- install .desktop file.

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9-2m)
- rebuild against for XFree86-4.3.0

* Tue Feb 18 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9-1m)
- version 0.9

* Thu Feb  6 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.7-13m)
- disable perl

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.7-12k)
  BuildRequires: imlib-devel >= 1.9.14-4k

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.7-10k)
- rebuild against libpng-1.2.2

* Fri Mar  1 2002 Shingo Akagaki <dora@kondara.org>
- (0.7-8k)
- fix file attributes

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (0.7-6k)
- rebuild against for db3,4

* Thu Feb 07 2002 Motonobu Ichimura <famao@kondara.org>
- (0.7-4k)
- add perl,attrpage,internal-preview support

* Thu Feb 07 2002 Motonobu Ichimura <famao@kondara.org>
- (0.7-2k)
- add xim patch
- up to 0.7

* Thu Oct 18 2001 Motonobu Ichimura <famao@kondara.org>
- (0.6-4k)
- not egcs, but gcc2.95.3

* Thu Oct 18 2001 Motonobu Ichimura <famao@kondara.org>
- (0.6-2k)
- up to 0.6
- add BuildRequires: egcs ...
- include .desktop file

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (0.4-10k)
- rebuild against gettext 0.10.40.

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (0.4-8k)
- rebuild against libpng 1.2.0.

* Sat Dec  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.4-4k)
- modified spec file with macros

* Thu Jul 13 2000 AYUHANA Tomonori <l@kondara.org>
- (0.4-2k)
- SPEC fixed ( BuildRoot )
- missing bluefish.desktop!

* Tue Jun 13 2000 haruka kusumi <haruka76@kondara.org>
  - changed some items for kondara 

* Fri May 5 2000   Bo Forslund  <bo.forslund@abc.se>
  - fine tuning of the spec file
  - possible to build with all processors on smp machines
  - an entry for RedHats wmconfig

* Tue Mar 21 2000 CW Zuckschwerdt <zany@triq.net>
  - complete rewrite of spec file
  - relocateable on build-time
  - no privileges required while building
  - fix for install_location (should really be $(LIBDIR)/bluefish!)
  - included man, locale and lib into RPM (was seriously broken)

* Thu Jan 13 2000 Chris Lea <chrislea@luciddesigns.com>
  - Fixed up spec file some. bluefish-0.3.5

* Wed Nov 17 1999 Chris Lea <chrislea@luciddesigns.com>
  - added spec file. this is my third RPM that I've made a spec
    file for, so please be merciful if I've screwed something up

